package core.api.models.timemanager.taskSchedule.scheduleInfos;

import core.api.models.timemanager.taskgroup.TaskgroupEntityInfo;
import core.entities.timemanager.Task;

import java.time.LocalDateTime;
import java.util.List;

public class AdvancedScheduleInfo extends ScheduleInfo {

    private LocalDateTime plannedStartTime;
    private LocalDateTime plannedStopTime;

    public AdvancedScheduleInfo(long scheduleID, ScheduleType scheduleType, LocalDateTime startTime, LocalDateTime stopTime, int activeMinutes, Task task, List<TaskgroupEntityInfo> taskgroupPath, LocalDateTime plannedStartTime, LocalDateTime plannedStopTime) {
        super(scheduleID, scheduleType, startTime, stopTime, activeMinutes, task, taskgroupPath);
        this.plannedStartTime = plannedStartTime;
        this.plannedStopTime = plannedStopTime;
    }

    public LocalDateTime getPlannedStartTime() {
        return plannedStartTime;
    }

    public void setPlannedStartTime(LocalDateTime plannedStartTime) {
        this.plannedStartTime = plannedStartTime;
    }

    public LocalDateTime getPlannedStopTime() {
        return plannedStopTime;
    }

    public void setPlannedStopTime(LocalDateTime plannedStopTime) {
        this.plannedStopTime = plannedStopTime;
    }
}
